# $Revision: 1.13 $, $Date: 2012/05/13 13:40:47 $
Summary:	Picard, the Next-Generation MusicBrainz Tagger
Summary(pl.UTF-8):	Picard - znaczniki MusicBrainz nowej generacji
Name:		picard
Version:	0.16
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.gz
# Source0-md5:	5791a5ae1ce92ac1ffb1cc8f15917ad7
Patch0:		%{name}-desktop.patch
URL:		http://musicbrainz.org/doc/PicardTagger
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	libofa-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	python-PyQt4
Requires:	python-musicbrainz2
Requires:	python-mutagen
Requires:	python-tunepimp
Requires:	python-wxPython
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The project code-named Picard is the next generation MusicBrainz
tagging application. This new tagging concept is Release oriented, as
opposed to track oriented like the ClassicTagger was. Picard is
written in Python, which is a cross-platform language - this allows
the same code to run both on Windows and on Linux. Before too long we
will add Mac OS X support as well.

%description -l pl.UTF-8
Projekt o nazwie Picard jest programem nowej generacji do generowania
znaczników MusicBranz. Picard jest napisany w Pythonie, który jest
językiem cross-platform - co pozwala uruchamiać ten sam kod zarówno
pod Windows jak i Linuksem. Niedługo zostanie dodana obsługa Mac OS X.

%prep
%setup -q
%patch0 -p1

%build
find -type f -exec sed -i -e 's|#!.*python.*|#!%{_bindir}/python|g' "{}" ";"
python ./setup.py config
python ./setup.py build 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

python ./setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

# Scots unsupported by glibc
rm -r $RPM_BUILD_ROOT/%{_datadir}/locale/sco

%py_postclean
%find_lang %{name}

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.txt NEWS.txt
%attr(755,root,root) %{_bindir}/%{name}
%{py_sitedir}/picard
%{py_sitedir}/%{name}-%{version}-py*.egg-info
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/picard.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: picard.spec,v $
Revision 1.13  2012/05/13 13:40:47  blekot
- up to 0.16
- BR: pkgconfig for ./setup.py config
- BR: ffmpeg-devel, libofa-devel after checking what config was looking for
- works ;-)

Revision 1.12  2011/02/09 11:05:31  jasw
- R: python-mutagen

Revision 1.11  2011/02/04 18:23:59  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.10  2010/07/08 07:57:19  arekm
- release 2

Revision 1.9  2010/03/11 15:21:19  wiget
- 0.12.1

Revision 1.8  2010/02/16 23:32:40  sparky
- BR: gettext-devel, libstdc++-devel
- fix freestylo

Revision 1.7  2010/02/16 15:02:16  ankry
- drop unsupported Scots locale, rel. 2

Revision 1.6  2009/02/19 21:19:11  wiget
- license is GPL v2 or later
- this isn't noarch package

Revision 1.5  2009/01/15 14:30:47  duddits
- up to 0.11
- desktop.patch updated

Revision 1.4  2008/11/11 14:27:06  arvenil
- up to 0.10
- R: python-PyQt4
- cleanup
- added TODO

Revision 1.3  2007/11/23 01:11:27  wolf
- "ctypes already included in python 2.5"

Revision 1.2  2007/03/16 09:28:07  qboosh
- pl fixes

Revision 1.1  2007/03/10 12:15:47  jasw
- initial
